_driverid_to_handler() crashes with KeyError 'package'

Bug #837495 reported by Jan Rathmann
302
This bug affects 52 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Fix Released
High
Martin Pitt
Oneiric
Fix Released
High
Martin Pitt

Bug Description

Hello,

during Beta testing I wanted to install the propritary Nvidia drivers on my machine, but Jockey doesn't offer them for installation, just an empty window saying "No propritary drivers are used on this system" (see screenshot).

If launched via Terminal I get a Python backtrace which I am also attaching.

Kind regards,
Jan

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: jockey-common 0.9.4-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
Date: Tue Aug 30 17:53:12 2011
ExecutablePath: /usr/share/jockey/jockey-backend
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110830)
InterpreterPath: /usr/bin/python2.7
MachineType: Gigabyte Technology Co., Ltd. P35-DS3
PackageArchitecture: all
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz root=/dev/sda6
SourcePackage: jockey
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/10/2008
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F13
dmi.board.name: P35-DS3
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF13:bd07/10/2008:svnGigabyteTechnologyCo.,Ltd.:pnP35-DS3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnP35-DS3:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: P35-DS3
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Revision history for this message
Jan Rathmann (kaiserclaudius) wrote :
Revision history for this message
Jan Rathmann (kaiserclaudius) wrote :
tags: added: iso-testing
Revision history for this message
Pedro Villavicencio (pedro) wrote :

Martin may you please have a look to it? Thanks!.

Changed in jockey (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: New → Confirmed
Martin Pitt (pitti)
Changed in jockey (Ubuntu):
importance: Medium → High
status: Confirmed → In Progress
Martin Pitt (pitti)
summary: - Jockey does not offer installation of Nvidia drivers
+ _driverid_to_handler() crashes with KeyError 'package'
Revision history for this message
dino99 (9d9) wrote :

i've rwrongly commented the same issue into bug #771788 posts 138 &+ and attached jockey.log

Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in trunk.

Changed in jockey (Ubuntu Oneiric):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.9.4-0ubuntu4

---------------
jockey (0.9.4-0ubuntu4) oneiric; urgency=low

  * Merge fix from trunk:
    - detection.py: Fix crash if Driver ID does not have a package field.
      (LP: #837495)
 -- Martin Pitt <email address hidden> Thu, 01 Sep 2011 12:21:31 +0200

Changed in jockey (Ubuntu Oneiric):
status: Fix Committed → Fix Released
tags: added: bugpattern-needed
Revision history for this message
Kenny Strawn (realkstrawn93) wrote :

Still a problem for me...

Martin Pitt (pitti)
tags: added: bugpattern-written
removed: bugpattern-needed
Revision history for this message
Marco Chiappetta (mardurhack) wrote :

I was able to install Nvidia current driver plus VPAU support and Binary Xorg driver (everything done from jockey selecting the first two options). But the system keeps telling me that jockey-text has crashed (even though I'm not using it!). Hope it helps!

To post a comment you must log in.